"""SQLAlchemy model for the 'migration_changes' table in the Home Assistant PostgreSQL database."""

from sqlalchemy import Column, String, SmallInteger

from .base import Base


class MigrationChanges(Base):
    """SQLAlchemy model for the 'migration_changes' table."""

    __tablename__ = "migration_changes"
    __table_args__ = {"schema": "public"}

    migration_id = Column(String(255), primary_key=True)
    version = Column(SmallInteger, nullable=False)
